%define zmuid   apache
%define zmgid   apache
%define uname   ZoneMinder
%define moover  1.2.6
%define camver  0.931
%define rel     4
%define vmaj    %(echo %{version}|cut -d. -f1,2)

%define release %mkrel %{rel}

Name:           zoneminder
Version:        1.26.3
Release:        %{release}
Summary:        Video Camera and CCTV Security with Motion Detection
Group:          Security
URL:            http://www.%{name}.com/
License:        GPLv2+ and MIT
Source0:        http://www2.%{name}.com/downloads/%{uname}-%{version}.tar.gz
Source1:        www.charliemouse.com/code/cambozola/cambozola-%{camver}.tar.gz
Source2:        %{name}.conf
Source3:        redalert.wav
Source4:        README
Source5:        http://mootools.net/download/get/mootools-%{moover}-core-yc.js
Source6:        zmrestart
Source7:        zmstop
Source8:        zmsetup
Source10:       mk-git-tar
Patch1:         zm_1_25_0-chown.patch
Patch2:         zm_1_25_0-zm_create.sql.patch
Patch3:         zm-1.26.3-zmupdate.pl.in.patch

BuildRequires:  mysql-devel
BuildRequires:  jpeg-devel
BuildRequires:  gnutls-devel
BuildRequires:  java-devel >= 1.7.0
BuildRequires:  ant
BuildRequires:  libgcrypt-devel
BuildRequires:  pcre-devel
BuildRequires:  perl-Archive-Zip
BuildRequires:  perl-Archive-Tar
BuildRequires:  perl-MIME-tools
BuildRequires:  perl-DBD-mysql
BuildRequires:  perl-Sys-Mmap
BuildRequires:  perl-Device-SerialPort
BuildRequires:  perl-MIME-Lite
BuildRequires:  perl-Date-Manip
BuildRequires:  perl-libwww-perl
BuildRequires:  perl-X10
BuildRequires:  perl-Net-SSH-Expect
BuildRequires:  perl-Net-SFTP-Foreign
BuildRequires:  ffmpeg-devel

Requires(post): rpm-helper
Requires(preun): rpm-helper 
Requires:       apache
Requires:       php
Requires:       php-mysql
Requires:       php-sockets
Requires:       apache-mod_php
Requires:       perl-Archive-Zip
Requires:       perl-Archive-Tar
Requires:       perl-DBD-mysql
Requires:       perl-MIME-Lite
Requires:       perl-MIME-tools
Requires:       perl-Net-SSH-Expect
Requires:       perl-Net-SFTP-Foreign
Requires:       perl-X10
Requires:       ffmpeg

%description
A CCTV security package with remote access, motion detection and recording.
ZoneMinder is intended for use in single or multi-camera video security
applications, including commercial or home CCTV. It supports capture,
analysis, recording, and monitoring of video data coming from one or more
video or network cameras attached to a Linux system. 
ZoneMinder also supports web and semi-automatic control of Pan/Tilt/Zoom
cameras using a variety of protocols.
It is designed to run on distributions which support the Video For Linux (V4L)
interface and has been tested with video cameras attached to BTTV cards,
various USB cameras and also supports most IP network cameras.
With thanks to Kfir Itzhak aka "mastertheknife" for his extensive performance
enhancements and de-interlace.

%prep
%setup -q -a 1 -n %{uname}-%{version}

%apply_patches

cp %{SOURCE4} README

pushd cambozola-%{camver}
ant
popd

%build
autoreconf -fi

%configure2_5x \
    --localstatedir=%{_localstatedir}/lib \
    --with-libarch=lib \
    --with-mysql=%{_prefix} \
    --with-webdir=%{_localstatedir}/www/html/zm \
    --with-cgidir=%{_localstatedir}/www/cgi-bin \
    --with-webuser=%{zmuid} \
    --with-webgroup=%{zmgid} \
    --enable-mmap=yes \
    --disable-debug \
    --disable-crashtrace \
    --with-ffmpeg=%{_prefix} \
LDFLAGS="$LDFLAGS -Wl,--build-id"

%make

%{__perl} -pi -e 's/(ZM_WEB_USER=).*$/${1}%{zmuid}/;' \
              -e 's/(ZM_WEB_GROUP=).*$/${1}%{zmgid}/;' zm.conf

%install
%makeinstall_std INSTALLDIRS=vendor

rm -rf %{buildroot}%{perl_vendorarch} %{buildroot}%{perl_archlib}
rm -f %{buildroot}%{_bindir}/zmx10.pl

for dir in events images temp  ; do
    install -m 755 -d %{buildroot}%{_localstatedir}/www/html/zm/$dir
done

install -D -m 775 cambozola-%{camver}/dist/cambozola.jar  %{buildroot}%{_localstatedir}/www/html/zm/cambozola.jar

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 db %{buildroot}%{_datadir}/%{name}/db
install -m 644 db/*.sql %{buildroot}%{_datadir}/%{name}/db

install -D -m 644 %{SOURCE2} %{buildroot}%{_webappconfdir}/%{name}.conf

install -D -m 755 %{SOURCE3} %{buildroot}%{_localstatedir}/www/html/zm/sounds/redalert.wav

install -d -m 755 %{buildroot}%{_localstatedir}/log/zm

install -D -m 755 %{SOURCE6} %{buildroot}%{_bindir}/zmrestart
install -D -m 755 %{SOURCE7} %{buildroot}%{_bindir}/zmstop
install -D -m 755 %{SOURCE8} %{buildroot}%{_bindir}/zmsetup

install -D -m 644 scripts/zmlogrotate.conf %{buildroot}%{_sysconfdir}/logrotate.d/zm

install -D -m 755 scripts/zm $RPM_BUILD_ROOT%{_initrddir}/zoneminder

# Install mootools
pushd %{buildroot}%{_localstatedir}/www/html/zm
install -m 644 %{SOURCE5} mootools-%{moover}-core-yc.js
ln -s mootools-%{moover}-core-yc.js mootools.js
popd

%post
 %_post_service %{name}

%preun
 %_preun_service %{name}

%files
%doc AUTHORS COPYING README.md README
%config(noreplace) %attr(640,root,%{zmgid}) %{_sysconfdir}/zm.conf
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_bindir}/zma
%{_bindir}/zmaudit.pl
%{_bindir}/zmc
%{_bindir}/zmcontrol.pl
%{_bindir}/zmdc.pl
%{_bindir}/zmf
%{_bindir}/zmfilter.pl
%attr(4755,root,root) %{_bindir}/zmfix
%{_bindir}/zmpkg.pl
%{_bindir}/zmtrack.pl
%{_bindir}/zmtrigger.pl
%{_bindir}/zmu
%{_bindir}/zmupdate.pl
%{_bindir}/zmvideo.pl
%{_bindir}/zmwatch.pl
%{_bindir}/zmstreamer
%{_bindir}/zmsetup
%{_bindir}/zmstop
%{_bindir}/zmrestart
%{perl_vendorlib}/%{uname}*
%{_mandir}/man*/*
%{_localstatedir}/www/cgi-bin
%{_datadir}/%{name}
%attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/www/html/zm
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/log/zm
%{_sysconfdir}/logrotate.d/zm
%attr(755,root,root) %{_initrddir}/zoneminder

%changelog
* Tue Nov 18 2014 bb <bb> 1.26.3-4pclos2014
- rebuild new ffmpeg 2.4

* Wed Jan 01 2014 bb <bb> 1.26.3-3pclos2013
- rebuild for new php

* Wed Nov 06 2013 bb <bb> 1.26.3-2pclos2013
- rebuild for new pcre

